package edu.gatech.cercs.soa.tws.client;

import java.net.MalformedURLException;
import java.net.URL;
import java.rmi.RemoteException;

import javax.xml.namespace.QName;
import javax.xml.rpc.Service;
import javax.xml.rpc.ServiceException;
import javax.xml.rpc.ServiceFactory;

import edu.gatech.cercs.soa.tws.web.TravelWebService;

public class TravelWebServiceClient {

	public static void main(String[] args) {

		try {
			String urlstr   = "http://localhost:8080/tws/tws?wsdl";

			URL url =  new URL(urlstr);

			QName qname = new QName("urn:soa-tws","TravelWebServiceServlet");

			ServiceFactory factory = ServiceFactory.newInstance();
			Service  service = factory.createService(url, qname);
			
			TravelWebService tws = (TravelWebService)service.getPort(TravelWebService.class);
			
			String ack = tws.searchFlightPrices("Hello");
			
			System.out.println("Return: " + ack);
			
		} catch (MalformedURLException e) {
			e.printStackTrace();
		} catch (RemoteException e) {
			e.printStackTrace();
		} catch (ServiceException e) {
			e.printStackTrace();
		}
	}
}
