package edu.gatech.cercs.soa.core;

import java.io.*;


/**
 * Describe <code>FileUtils</code> here.
 *
 * @author <a href="mailto:srihari@cc.gatech.edu">Hari Govindharaj</a>
 */
public class FileUtils {

   /**
    * Load a file content to a string variable
    * @param fileName
    * @return
    */
   public static String loadFileContent(String fileName) {
      StringBuffer sb = new StringBuffer();
      try {
           BufferedReader in = new BufferedReader(new FileReader(fileName));
           String str;
           while ((str = in.readLine()) != null) {
             sb.append(str + "\n");
           }
           in.close();
         }
         catch (IOException ex) {
            ex.printStackTrace();
         }
      return sb.toString();
   }
}
