package edu.gatech.cercs.soa.core;

import java.io.PrintWriter;
import java.io.StringWriter;


/**
 * Describe <code>StackTraceUtils</code> here.
 *
 * @author <a href="mailto:srihari@cc.gatech.edu">Hari Govindharaj</a>
 */
public class StackTraceUtils {

   /**
    * Dump the stack trace content of an exception object to a String.
    * @param exception
    * @return String
    */
   public static String getStackTrace(Throwable exception) {
       StringWriter sw = new StringWriter();
       exception.printStackTrace(new PrintWriter(sw));
       return sw.toString();
   }

}
