package edu.gatech.cercs.soa.core.fpq;

import edu.gatech.cercs.soa.core.xml.XMLable;

/**
 * Describe <code>IFlightPricingQuery</code> here.
 *
 * @author <a href="mailto:srihari@cc.gatech.edu">Hari Govindharaj</a>
 */
public interface IFlightPricingQuery extends XMLable {

    public IHeader getHeader();

    public void setHeader(IHeader hdr);
    
    public IItinerary getItinerary();
    
    public void setItinerary(IItinerary it);
    
    public IPassengers getPassengers();
    
    public void setPassengers(IPassengers ps);
    
    public IFareClasses getFareClasses();
    
    public void setFareClasses(IFareClasses fc);
    
    public IAirlines getAirlines();
    
    public void setAirlines(IAirlines als);
    
}