package edu.gatech.cercs.soa.core.fpq;

import java.util.List;


/**
 * Describe <code>IItinerary</code> here.
 *
 * @author <a href="mailto:srihari@cc.gatech.edu">Hari Govindharaj</a>
 */
public interface IItinerary {

    public List<ITrip> getTrips();
    
    public ITrip createTrip();
    
    public void addTrip(ITrip trip);
    
    public void removeTrip(ITrip trip);
    
    public void removeAllTrips();
    
}
