package edu.gatech.cercs.soa.core.fpr;

import java.util.List;


/**
 * Describe <code>ITripResult</code> here.
 *
 * @author <a href="mailto:srihari@cc.gatech.edu">Hari Govindharaj</a>
 */
public interface ITripResult {

    public List<IStopResult> getStops();
    
    public IStopResult createStop();
    
    public void addStop(IStopResult stop);
    
    public void removeStop(IStopResult stop);
    
}
