<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<%@ include file="header.jsp" %>
<body>
<div id="wrapper">
<%@ include file="banner.jsp" %>

<h1>M-TRAILS</h1>
<h2>Adventure Travel Portal</h2>

<div id="content">
<p>Planning your adventure trip is now quicker and easier than ever.  Please 
<a href="mailto:srihari@cc.gatech.edu">email your feedback</a> to us, we are
constantly looking for ways to improve our service.</p>

<h3>Plan Your Trip:</h3>

<form id="tripplan" name="tripplan" method="post" action="FlightPricingSearch">
<table border="0" cellpadding="2" cellspacing="4">
<tr>
	<td><input name="roundtrip" type="radio"/> Roundtrip</td>
	<td><input name="oneway" type="radio"/> One-way</td>
</tr>
<tr>
	<td>From: </td>
	<td>To: </td>
</tr>
<tr>
	<td><input name="from" type="text"/></td>
	<td><input name="to" type="text"/></td>
</tr>
<tr>
	<td>Departing: </td>
	<td>Returning: </td>
</tr>
<tr>
	<td><input name="depart" type="text" value="mm/dd/yyyy"/></td>
	<td><input name="return" type="text" value="mm/dd/yyyy"/></td>
</tr>
<tr>
<tr>
	<td>Adults(19-64): </td>
	<td>Seniors(65+): </td>
</tr>
<tr>
	<td><input name="adults" type="text" style="width:15px" value="1"/></td>
	<td><input name="seniors" type="text" style="width:15px" value="0"/></td>
</tr>
<tr>
	<td colspan="2">Children(0-18): </td>
</tr>
<tr>
	<td colspan="2"><input name="children" style="width:15px" type="text" value="0"/></td>
</tr>
<tr>
	<td colspan="2"><br/><h3>Additional Options:</h3></td>
</tr>
<tr>
	<td colspan="2">NonStop Only: <input name="nonstop" type="checkbox"/></td>
</tr>
<tr>
	<td colspan="2">Airline: <input name="airline" type="text" style="width:150px"/></td>
</tr>
<tr>
	<td colspan="2">Class : 
	<select name="fareclass" style="width:150px">
		<option id="economy" selected>Economy/Coach</option>
		<option id="business">Business</option>
		<option id="first">First</option>
	</select>
	</td>
</tr>
<tr>
	<td colspan="2"><br/><input name="search" type="submit" value="Search for Flights"/></td>
</tr>
</table>
</form>
<br/><br/><br/>

</div>

<%@ include file="sidebar.jsp" %>
<%@ include file="footer.jsp" %>
</div>
</body>
</html>


